package org.springframework.web.servlet.view.json.writer.sojo;

import java.util.ArrayList;
import java.util.List;

import net.sf.sojo.common.WalkerInterceptor;

public class SojoConfig {
	
	private boolean convertAllMapValues = false;
	
	private boolean withNullValuesInMap = false;
	
	private boolean ignoreNullValues = true;
	
	private String excludedProperties[] = null;
	
	private List interceptorList = new ArrayList();
	
	
	public void addInterceptor(WalkerInterceptor pvInterceptor) {
		interceptorList.add(pvInterceptor);
	}
	
	public void removeInterceptorByNumber(int pvPosition) {
		interceptorList.remove(pvPosition);
	}
	
	public boolean isConvertAllMapValues() {
		return convertAllMapValues;
	}
	
	public void setConvertAllMapValues(boolean convertAllMapValues) {
		this.convertAllMapValues = convertAllMapValues;
	}
	
	public boolean isWithNullValuesInMap() {
		return withNullValuesInMap;
	}
	
	public void setWithNullValuesInMap(boolean withNullValuesInMap) {
		this.withNullValuesInMap = withNullValuesInMap;
	}
	
	public boolean isIgnoreNullValues() {
		return ignoreNullValues;
	}
	
	public void setIgnoreNullValues(boolean ignoreNullValues) {
		this.ignoreNullValues = ignoreNullValues;
	}
	
	public String[] getExcludedProperties() {
		return excludedProperties;
	}
	public void setExcludedProperties(String[] excludedProperties) {
		this.excludedProperties = excludedProperties;
	}
	

}
